E-MailRelay

Public Member Functions | List of all members
GSmtp::NetworkVerifier Class Reference

A Verifier that talks to a remote address verifier over the network. More...

`#include <gnetworkverifier.h>`

Inheritance diagram for GSmtp::NetworkVerifier:

## Public Member Functions
| NetworkVerifier (GNet::ExceptionSink, const std::string &server, unsigned int connection_timeout, unsigned int response_timeout)
| Constructor. More...
| ~NetworkVerifier () override
| Destructor. More...
| NetworkVerifier (const NetworkVerifier &)=delete
| NetworkVerifier (NetworkVerifier &&)=delete
void | operator= (const NetworkVerifier &)=delete
void | operator= (NetworkVerifier &&)=delete
Public Member Functions inherited from GSmtp::Verifier
virtual void | verify (const std::string &rcpt_to_parameter, const std::string &mail_from_parameter, const GNet::Address &client_ip, const std::string &auth_mechanism, const std::string &auth_extra)=0
| Checks a recipient address and asynchronously returns a structure to indicate whether the address is a local mailbox, what the full name is, and the canonical address. More...
virtual G::Slot::Signal< const VerifierStatus & > & | doneSignal ()=0
| Returns a signal that is emit()ed when the verify() request is complete.
virtual void | cancel ()=0
| Aborts any current processing.
virtual | ~Verifier ()=default
| Destructor.

## Detailed Description

A Verifier that talks to a remote address verifier over the network.

Definition at line 38 of file gnetworkverifier.h.

## Constructor & Destructor Documentation

## ◆ NetworkVerifier()

GSmtp::NetworkVerifier::NetworkVerifier | ( | GNet::ExceptionSink | es,
|  | const std::string & | server,
|  | unsigned int | connection_timeout,
|  | unsigned int | response_timeout
| ) |  |

Constructor.

Definition at line 27 of file gnetworkverifier.cpp.

## ◆ ~NetworkVerifier()

GSmtp::NetworkVerifier::~NetworkVerifier | ( |  | ) |
| override

Destructor.

Definition at line 40 of file gnetworkverifier.cpp.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gsmtp/gnetworkverifier.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gsmtp/gnetworkverifier.cpp